/**
 * dismiss admin dependency notice
 */
jQuery(document).ready(function($)
{
	$('#cosmic_blocks_admin_notice').on('click', '.cosmic_blocks_admin_notice_dismiss', function(e)
	{
		e.preventDefault();
		
		if(confirm('Are you sure?'))
		{
			trigger = $(this);
			$.post(ajaxurl, { action: 'cosmic_blocks_admin_notice_dismiss' }, function(response)
			{
				$('#cosmic_blocks_admin_notice').remove();
			});
		}
	});
});

/**
 * Form element repeater
 */
jQuery(document).ready(function($)
{
	var wrapper = $('.cosmic_blocks_input_fields_wrap'); //Fields wrapper
	var add_button = $('.cosmic_blocks_add_field_button'); //Add button ID
	
	$(add_button).click(function(e)
	{
		e.preventDefault();
		$(wrapper).children('div:first-of-type').clone().find('input:text').val('').end().append('<a href="#" class="cosmic_blocks_remove_field"><span class="dashicons dashicons-dismiss"></span></a>').appendTo(wrapper);
	});
	
	$(wrapper).on('click', '.cosmic_blocks_remove_field', function(e)
	{
		e.preventDefault();
		$(this).parent('div').remove();
	});
});

/**
 * Form element conditional logic
 */
jQuery(document).ready(function($)
{
	dataCondition();
	function dataCondition()
	{
		$('[data-cosmic-blocks-condition]').each(function()
		{
			// initial show
			$input = $(this);
			$condition = $input.data('cosmic-blocks-condition').split(',');
			$parent = $input.data('cosmic-blocks-condition-parent');

			if(typeof $parent === 'undefined' || $('.'+$parent).is(':not(:hidden)'))
			{
				$.each($condition, function(index, value)
				{
					$data = value.split(':');
					if($input.val() === $data[0])
					{	
						$('.'+$data[1]).show();
					}
				});
			}

			// click function
			$(this).bind({
				change: function()
				{
					$input = $(this);
					$condition = $input.data('cosmic-blocks-condition').split(',');
					$parent = $input.data('cosmic-blocks-condition-parent');

					// hide all
					$.each($condition, function(index, value)
					{
						$data = value.split(':');
						$('.'+$data[1]).hide();	
					});

					// show clicked
					$.each($condition, function(index, value)
					{
						$data = value.split(':');

						if((typeof $parent === 'undefined' || $('.'+$parent).is(':not(:hidden)')) && $input.val() === $data[0])
						{
							$('.'+$data[1]).show();	
						}
						
						$('[data-cosmic-blocks-condition-parent="'+$data[1]+'"]').trigger('change');
					});
				}
			});
		});
	}
});